#ifndef NIKOLAUS_H
#define NIKOLAUS_H

#include "backtracker.h"

namespace Backtrack
{
	class Nikolaus : public Generic<Nikolaus>
	{
	public:
		Nikolaus();
		bool solved(void) const;
		QList<Nikolaus> variants(void) const;
		QString toString(void) const;

	private:
		typedef QString NodeListT;
		NodeListT transitions(char from) const;
		NodeListT Path;
	};
}

#endif // NIKOLAUS_H
